import java.util.*;

public class FixedHook extends AttachableElement  {
   private static int id=0;
   private Vector2D pos_t;     // current position at time t
   private Vector<Spring> springs;  // Vector can grow, arrays cannot. 
   
   private FixedHook(){   // nobody can create a block without state
     super(id++);
   }
   public FixedHook(float hight){
      super(id++);
      pos_t = new Vector2D((double)hight);
      springs = new Vector<Spring>();
   }
/*nueva*/
   public FixedHook(Vector2D position){
      super(id++);
      pos_t = new Vector2D(position);
      springs = new Vector<Spring>();
   }
   public void attachSpring (Spring spring) {
     springs.add(spring);
   }
   public void detachSpring (Spring spring) {
     springs.remove(spring);
   }
   public Vector2D getPosition() {
      return new Vector2D(pos_t);
   }
   public String getDescription() {
      return "Hook #" + getId()+": (x,y)";
   }
   public String getState() {
      return getPosition()+"";
   }
}
