import java.lang.Math;

public class Vector2D{
   private double x;
   private double y;

   public Vector2D(){ 
	x=0;
	y=0;
   }
   public Vector2D(double x, double y){
      this.x=x;
      this.y=y;
   }
   public Vector2D(double y){
	this(0.0,y);
   }
   public Vector2D(Vector2D v){ 
	this(v.getX(),v.getY());
   }

   private double getX() {
         return x;
   }
   public double getY() {
         return y;
   }
   public double getLength() {
         return Math.sqrt(x*x+y*y);
   }

   public double getDistance(Vector2D v) {
        return getDistance(v.getX(),v.getY());
   }
   public double getDistance(double x, double y) {
	double dx;
	double dy;
	dx=this.x-x;
	dy=this.y-y;
        return Math.sqrt(dx*dx+dy*dy);
   }
   public Vector2D getDirection() {
        return this.times(1/this.getLength());
   }
   public Vector2D times(double k){
	return new Vector2D(x*k,y*k);
   }
   public Vector2D plus(double x, double y){
	return new Vector2D(this.x+x,this.y+y);
   }
   public Vector2D plus(Vector2D v){
	return plus(v.getX(), v.getY());
   }
   public Vector2D plus(double length){
	Vector2D v=new Vector2D(this.getDirection()).times(length);
	return plus(v);
   }
   public Vector2D minus(double x, double y){
	return plus((-1)*x, (-1)*y);
   }
   public Vector2D minus(Vector2D v){
	return minus(v.getX(), v.getY());
   }
   public Vector2D minus(double length){
	Vector2D v=new Vector2D(this.getDirection()).times(length);
	return minus(v);
   }

  public String toString() {
    return x+","+y;
  }



}
